Bug 458566 - Bluetooth being turned on automatically on Thinkpad T42
Bluetooth being turned on automatically on Thinkpad T42
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-09 21:39 EDT by Shawn Starr
Modified: 2009-12-18 01:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:17:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shawn Starr 2008-08-09 21:39:10 EDT
Description of problem: 

- As some new 2.6.27 snapshot in rawhide bluetooth now turns on laptop. 
- Function keys do not work to disable bluetooth or any other service

Version-Release number of selected component (if applicable):
2.6.27-0.244.rc2.git1.fc10.i686

How reproducible:
100% I noticed this in 185 but don't recall when it started happening.

Steps to Reproduce:
1. Boot laptop, notice bluetooth light LED turns on, can't turn off without echoing to sysfs to disable it.
  
Actual results:
Bluetooth LED light is on, bluetooth enabled

Expected results:
Should not be enabled unless activated by user. May be security concern to having it enabled by default.
Comment 1 Shawn Starr 2008-09-23 21:46:54 EDT
If i blacklist thinkpad_acpi this problem goes away, some function keys begin to work too.. thats odd, I thought thinkpad_acpi was supposed to make more functionality :)
Comment 2 Christopher D. Stover 2008-10-28 16:04:39 EDT
Are you still experiencing this issue Shawn?
Comment 3 Shawn Starr 2008-10-28 16:25:34 EDT
Will try w/o blacklisting driver today. I am using rawhide and nightly kernels
Comment 4 Christopher D. Stover 2008-11-09 15:33:55 EST
(In reply to comment #3)
> Will try w/o blacklisting driver today. I am using rawhide and nightly kernels

Did you get a chance to give this a try Shawn?
Comment 5 Shawn Starr 2008-11-10 01:26:48 EST
Still no good. thinkpad_acpi when loaded still turns on bluetooth and likely disrupts any other function keys from working (except audio keys)
Comment 6 Shawn Starr 2008-11-10 01:27:45 EST
This would be  kernel-2.6.27.5-91.fc10
Comment 7 Bug Zapper 2008-11-25 21:43:34 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Pavel Lisý 2008-12-15 16:45:11 EST
I have Thinkpad X40 and this (rmmod thinkpad_acpi) works for me too. 
Other Fn keys seems to be already working .
Comment 9 Bug Zapper 2009-11-18 05:14:38 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 01:17:30 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.